# Stringable Interface Reference
[Widely used base classes and interfaces, Classes implemented in PHP's extension.]

Inheritance diagram for Stringable:
[legend]

List of all members.

## Public Member Functions

| toString ()

## Detailed Description

Definition at line 16 of file Stringable.class.php.

## Member Function Documentation

Stringable::toString | ( |  | ) |

Implemented in NamedObject, Ternary, Queue, TransactionQueue, DateRangeList, QueryIdentification, Hstore, LightMetaProperty, GoogleChart, GoogleChartAxisLabel, GoogleChartColor, GoogleChartData, GoogleChartGrid, GoogleChartLabel, GoogleChartLabelStyle, GoogleChartLegend, GoogleChartLineStyle, GoogleChartSize, GoogleChartSolidFill, GoogleChartSolidFillCollection, GoogleChartTitle, GoogleGridedLineChart, GoogleLineChart, Criteria, EmptyView, GmpBigInteger, GenericUri, IpAddress, and Color.

Referenced by Time::toFullString().

The documentation for this interface was generated from the following file:

- core/Base/Stringable.class.php